Status: Resolved Start date: 08/19/2015
Priority: High Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5
Description

Archive SCM type does not remove hidden files.
This causes the build to fail in the second run.

See popt project as an example.

Solution:

# Clean workspace.
rm -rf *

should be something like:

# Clean workspace.
rm -rf * .*

Associated revisions
Revision f4f7edd4 - 08/19/2015 05:38 PM - J. Moringen

Fixed workspace cleaning for archive aspect in src/project/aspects.lisp

fixes #2363

Clean workspace using
rm -rf * .[^.]*

instead of
rm -rf *

since the latter misses hidden files.

    -  src/project/aspects.lisp (define-aspect archive): adapted clean
  shell command

Revision dbbaea15 - 09/28/2015 11:22 AM - J. Moringen

Fixed workspace cleaning in archive aspect in src/project/aspects.lisp
refs #2363

Third attempt: Clean workspace using
find . -mindepth 1 -maxdepth 1 -exec rm -rf {} \;

instead of
rm -rf * .[^.]*

since the latter does not work in all shells.

    -  src/project/aspects.lisp (make-remove-directory-contents): new
  function; generate shell code to delete the contents of the current
  directory, possibly with exceptions
  (define-aspect archive): use `make-remove-directory-contents'
  (define-aspect git): likewise

Reported-by: Robert Haschke <rhascke@techfak.uni-bielefeld.de>

History
#1 - 08/19/2015 05:50 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f4f7edd41c4edcabe223231a220f177036224616.

#2 - 09/30/2016 10:47 AM - J. Moringen
- Target version set to 0.5
